Package org.silverpeas.components.gallery.process.media

## Class GalleryDeleteMediaFileProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryFileProcess
      - - org.silverpeas.components.gallery.process.media.GalleryDeleteMediaFileProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryDeleteMediaFileProcess
      extends AbstractGalleryFileProcess

  Process to delete a media from file system
  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GalleryDeleteMediaFileProcess​(Media media)` | Default hidden constructor

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GalleryDeleteMediaFileProcess` | `getInstance​(Media media)` | Gets an instance
    `void` | `processFiles​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session, org.silverpeas.core.process.io.file.FileHandler fileHandler)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryFileProcess

      `getMedia, getOrganisationController`

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractFileProcess

      `getProcessType, process`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure, onSuccessful`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryDeleteMediaFileProcess

          protected GalleryDeleteMediaFileProcess​(Media media)

      Default hidden constructor
      Parameters:
        `media` -

  - ### Method Detail

    - #### getInstance

          public static GalleryDeleteMediaFileProcess getInstance​(Media media)

      Gets an instance
      Parameters:
        `media` -
      Returns:

    - #### processFiles

          public void processFiles​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                   org.silverpeas.core.process.session.ProcessSession session,
                                   org.silverpeas.core.process.io.file.FileHandler fileHandler)
                            throws Exception

      Specified by:
        `processFiles` in class `org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Throws:
        `Exception`